commit:     14f95d2792f79af871c822026d5fd536650dc775
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 19 22:11:46 2025 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Tue Aug 19 23:26:18 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14f95d27

dev-libs/c-siphash: remove static libs

They aren't specifically wanted. The build system forces them for the
sake of using as a meson subproject:

> We ended up using both_libraries to ensure this setup always provides
> both, and packaging was meant to just remove libraries it does not need.

Hence, we just remove them. :(

Closes: https://bugs.gentoo.org/958199
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 .../{c-siphash-1.1.0.ebuild => c-siphash-1.1.0-r1.ebuild}      | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/dev-libs/c-siphash/c-siphash-1.1.0.ebuild 
b/dev-libs/c-siphash/c-siphash-1.1.0-r1.ebuild
similarity index 69%
rename from dev-libs/c-siphash/c-siphash-1.1.0.ebuild
rename to dev-libs/c-siphash/c-siphash-1.1.0-r1.ebuild
index ae62faa36c07..c906d44977c4 100644
--- a/dev-libs/c-siphash/c-siphash-1.1.0.ebuild
+++ b/dev-libs/c-siphash/c-siphash-1.1.0-r1.ebuild
@@ -25,3 +25,13 @@ DEPEND="
 BDEPEND="
        virtual/pkgconfig
 "
+
+src_install() {
+       meson_src_install
+
+       # upstream c-util tends to force static libs due to optimizing for
+       # subprojects usage.
+       #
+       # https://github.com/c-util/c-utf8/issues/8
+       rm "${ED}"/usr/$(get_libdir)/libcsiphash-1.a || die
+}

Reply via email to